ALTER TABLE phyxo_config ADD COLUMN type VARCHAR(15) DEFAULT "string";
UPDATE phyxo_config set type='json' where param in ('blk_menubar', 'picture_informations', 'treflez');
UPDATE phyxo_config set type='base64' where param in ('derivatives');
UPDATE phyxo_config set type='integer' where param in ('nb_categories_page', 'nb_comment_page', 'original_resize_maxheight', 'original_resize_maxwidth', 'original_resize_quality');
UPDATE phyxo_config set type='boolean' where param in ('activate_comments', 'allow_user_customization', 'allow_user_registration', 'comments_author_mandatory', 'comments_email_mandatory', 'comments_enable_website', 'comments_forall', 'comments_validation', 'email_admin_on_comment', 'email_admin_on_comment_deletion', 'email_admin_on_comment_edition', 'email_admin_on_comment_validation', 'gallery_locked', 'history_guest', 'index_created_date_icon', 'index_flat_icon', 'index_new_icon', 'index_posted_date_icon', 'index_slideshow_icon', 'index_sort_order_input', 'log', 'menubar_filter_icon', 'nbm_send_detailed_content', 'nbm_send_html_mail', 'nbm_send_recent_post_dates', 'original_resize', 'picture_download_icon', 'picture_favorite_icon', 'picture_menu', 'picture_metadata_icon', 'picture_navigation_icons', 'picture_navigation_thumb', 'picture_slideshow_icon', 'rate', 'rate_anonymous', 'user_can_delete_comment', 'user_can_edit_comment');

ALTER TABLE phyxo_categories ADD COLUMN tmp_visible TINYINT(1) NOT NULL DEFAULT IF(visible = 'true', 1, 0), ADD COLUMN tmp_commentable TINYINT(1) NOT NULL DEFAULT IF(commentable = 'true', 1, 0);
ALTER TABLE phyxo_categories CHANGE COLUMN tmp_visible tmp_visible TINYINT(1) NOT NULL DEFAULT 1, CHANGE COLUMN tmp_commentable tmp_commentable TINYINT(1) NOT NULL DEFAULT 1;
ALTER TABLE phyxo_categories DROP COLUMN visible, DROP COLUMN commentable;
ALTER TABLE phyxo_categories RENAME COLUMN tmp_visible TO visible, RENAME COLUMN tmp_commentable TO commentable;

ALTER TABLE phyxo_comments ADD COLUMN tmp_validated TINYINT(1) NOT NULL DEFAULT IF(validated = 'true', 1, 0);
ALTER TABLE phyxo_comments CHANGE COLUMN tmp_validated tmp_visible TINYINT(1) NOT NULL DEFAULT 0;
ALTER TABLE phyxo_comments DROP COLUMN validated;
ALTER TABLE phyxo_comments RENAME COLUMN tmp_validated TO validated;

ALTER TABLE phyxo_groups ADD COLUMN tmp_is_default TINYINT(1) NOT NULL DEFAULT IF(is_default = 'true', 1, 0);
ALTER TABLE phyxo_groups CHANGE COLUMN tmp_is_default tmp_is_default TINYINT(1) NOT NULL DEFAULT 0;
ALTER TABLE phyxo_groups DROP COLUMN is_default;
ALTER TABLE phyxo_groups RENAME COLUMN tmp_is_default TO is_default;

ALTER TABLE phyxo_history ADD COLUMN tmp_summarized TINYINT(1) NOT NULL DEFAULT IF(summarized = 'true', 1, 0);
ALTER TABLE phyxo_history CHANGE COLUMN tmp_summarized tmp_summarized TINYINT(1) NOT NULL DEFAULT 0;
ALTER TABLE phyxo_history DROP COLUMN summarized;
ALTER TABLE phyxo_history RENAME COLUMN tmp_summarized TO summarized;

ALTER TABLE phyxo_image_tag ADD COLUMN tmp_validated TINYINT(1) NOT NULL DEFAULT IF(validated = 'true', 1, 0);
ALTER TABLE phyxo_image_tag CHANGE COLUMN tmp_validated tmp_validated TINYINT(1) NOT NULL DEFAULT 1;
ALTER TABLE phyxo_image_tag DROP COLUMN validated;
ALTER TABLE phyxo_image_tag RENAME COLUMN tmp_validated TO validated;

ALTER TABLE phyxo_user_cache ADD COLUMN tmp_need_update TINYINT(1) NOT NULL DEFAULT IF(need_update = 'true', 1, 0);
ALTER TABLE phyxo_user_cache CHANGE COLUMN tmp_need_update tmp_need_update TINYINT(1) NOT NULL DEFAULT 1;
ALTER TABLE phyxo_user_cache DROP COLUMN need_update;
ALTER TABLE phyxo_user_cache RENAME COLUMN tmp_need_update TO need_update;

ALTER TABLE phyxo_user_infos ADD COLUMN tmp_expand TINYINT(1) NOT NULL DEFAULT IF(expand = 'true', 1, 0), ADD COLUMN tmp_show_nb_comments TINYINT(1) NOT NULL DEFAULT IF(show_nb_comments = 'true', 1, 0), ADD COLUMN tmp_show_nb_hits TINYINT(1) NOT NULL DEFAULT IF(show_nb_hits = 'true', 1, 0), ADD COLUMN tmp_enabled_high TINYINT(1) NOT NULL DEFAULT IF(enabled_high = 'true', 1, 0);
ALTER TABLE phyxo_user_infos CHANGE COLUMN tmp_expand tmp_expand TINYINT(1) NOT NULL DEFAULT 0, CHANGE COLUMN tmp_show_nb_comments tmp_show_nb_comments TINYINT(1) NOT NULL DEFAULT 0, CHANGE COLUMN tmp_show_nb_hits tmp_show_nb_hits TINYINT(1) NOT NULL DEFAULT 0, CHANGE COLUMN tmp_enabled_high tmp_enabled_high TINYINT(1) NOT NULL DEFAULT 1;
ALTER TABLE phyxo_user_infos DROP COLUMN expand, DROP COLUMN show_nb_comments, DROP COLUMN show_nb_hits, DROP COLUMN enabled_high;
ALTER TABLE phyxo_user_infos RENAME COLUMN tmp_expand TO expand, RENAME COLUMN tmp_show_nb_comments TO show_nb_comments, RENAME COLUMN tmp_show_nb_hits TO show_nb_hits, RENAME COLUMN tmp_enabled_high TO enabled_high;

ALTER TABLE phyxo_user_mail_notification ADD COLUMN tmp_enabled TINYINT(1) NOT NULL DEFAULT IF(enabled = 'true', 1, 0);
ALTER TABLE phyxo_user_mail_notification CHANGE COLUMN tmp_enabled tmp_enabled TINYINT(1) NOT NULL DEFAULT 0;
ALTER TABLE phyxo_user_mail_notification DROP COLUMN enabled;
ALTER TABLE phyxo_user_mail_notification RENAME COLUMN tmp_enabled TO enabled;

-----
ALTER TABLE phyxo_categories ADD COLUMN tmp_status VARCHAR(25) NOT NULL DEFAULT status;
ALTER TABLE phyxo_categories CHANGE COLUMN tmp_status tmp_status VARCHAR(25) DEFAULT 'public';
ALTER TABLE phyxo_categories DROP COLUMN status;
ALTER TABLE phyxo_categories RENAME COLUMN tmp_status TO status;

ALTER TABLE phyxo_history ADD COLUMN tmp_section VARCHAR(255) NOT NULL;
ALTER TABLE phyxo_history DROP COLUMN section;
ALTER TABLE phyxo_history RENAME COLUMN tmp_section TO section;

ALTER TABLE phyxo_history ADD COLUMN tmp_image_type VARCHAR(255) NOT NULL;
ALTER TABLE phyxo_history DROP COLUMN image_type;
ALTER TABLE phyxo_history RENAME COLUMN tmp_image_type TO image_type;

ALTER TABLE phyxo_plugins ADD COLUMN tmp_state VARCHAR(25) NOT NULL DEFAULT state;
ALTER TABLE phyxo_plugins CHANGE COLUMN tmp_state tmp_state VARCHAR(25) DEFAULT 'inactive';
ALTER TABLE phyxo_plugins DROP COLUMN state;
ALTER TABLE phyxo_plugins RENAME COLUMN tmp_state TO state;

ALTER TABLE phyxo_user_cache ADD COLUMN tmp_image_access_type VARCHAR(25) NOT NULL DEFAULT image_access_type;
ALTER TABLE phyxo_user_cache CHANGE COLUMN tmp_image_access_type tmp_image_access_type VARCHAR(25) DEFAULT 'NOT IN';
ALTER TABLE phyxo_user_cache DROP COLUMN image_access_type;
ALTER TABLE phyxo_user_cache RENAME COLUMN tmp_image_access_type TO image_access_type;

ALTER TABLE phyxo_user_infos ADD COLUMN tmp_status VARCHAR(50) NOT NULL DEFAULT status;
ALTER TABLE phyxo_user_infos CHANGE COLUMN tmp_status tmp_status VARCHAR(50) DEFAULT 'guest';
ALTER TABLE phyxo_user_infos DROP COLUMN status;
ALTER TABLE phyxo_user_infos RENAME COLUMN tmp_status TO status;

ALTER TABLE `phyxo_comments` ADD CONSTRAINT `FK_259D537BF675F31B` FOREIGN KEY (`author_id`) REFERENCES `phyxo_users` (`id`);
ALTER TABLE `phyxo_comments` ADD CONSTRAINT `FK_259D537B3DA5256D` FOREIGN KEY (`image_id`) REFERENCES `phyxo_images` (`id`);
ALTER TABLE `phyxo_user_mail_notification` ADD CONSTRAINT `FK_6E424936A76ED395` FOREIGN KEY (`user_id`) REFERENCES `phyxo_users` (`id`);
ALTER TABLE `phyxo_user_infos` ADD CONSTRAINT `FK_44A6591CA76ED395` FOREIGN KEY (`user_id`) REFERENCES `phyxo_users` (`id`);
ALTER TABLE `phyxo_favorites` ADD CONSTRAINT `FK_F87F0252A76ED395` FOREIGN KEY (`user_id`) REFERENCES `phyxo_users` (`id`);
ALTER TABLE `phyxo_favorites` ADD CONSTRAINT `FK_F87F02523DA5256D` FOREIGN KEY (`image_id`) REFERENCES `phyxo_images` (`id`);
ALTER TABLE `phyxo_user_cache` ADD CONSTRAINT `FK_EB2BB096A76ED395` FOREIGN KEY (`user_id`) REFERENCES `phyxo_users` (`id`);
ALTER TABLE `phyxo_caddie` ADD CONSTRAINT `FK_70B6B1A8A76ED395` FOREIGN KEY (`user_id`) REFERENCES `phyxo_users` (`id`);
ALTER TABLE `phyxo_caddie` ADD CONSTRAINT `FK_70B6B1A81F1F2A24` FOREIGN KEY (`element_id`) REFERENCES `phyxo_images` (`id`);
ALTER TABLE `phyxo_user_group` ADD CONSTRAINT `FK_C7AC9FB4FE54D947` FOREIGN KEY (`group_id`) REFERENCES `phyxo_groups` (`id`) ON DELETE CASCADE;
ALTER TABLE `phyxo_user_group` ADD CONSTRAINT `FK_C7AC9FB4A76ED395` FOREIGN KEY (`user_id`) REFERENCES `phyxo_users` (`id`) ON DELETE CASCADE;
ALTER TABLE `phyxo_group_access` ADD CONSTRAINT `FK_AAC70409FE54D947` FOREIGN KEY (`group_id`) REFERENCES `phyxo_groups` (`id`);
ALTER TABLE `phyxo_group_access` ADD CONSTRAINT `FK_AAC70409E6ADA943` FOREIGN KEY (`cat_id`) REFERENCES `phyxo_categories` (`id`);
ALTER TABLE `phyxo_image_tag` ADD CONSTRAINT `FK_477505773DA5256D` FOREIGN KEY (`image_id`) REFERENCES `phyxo_images` (`id`);
ALTER TABLE `phyxo_image_tag` ADD CONSTRAINT `FK_47750577BAD26311` FOREIGN KEY (`tag_id`) REFERENCES `phyxo_tags` (`id`);
ALTER TABLE `phyxo_image_tag` ADD CONSTRAINT `FK_47750577DE12AB56` FOREIGN KEY (`created_by`) REFERENCES `phyxo_users` (`id`);
ALTER TABLE `phyxo_image_category` ADD CONSTRAINT `FK_244869F83DA5256D` FOREIGN KEY (`image_id`) REFERENCES `phyxo_images` (`id`);
ALTER TABLE `phyxo_image_category` ADD CONSTRAINT `FK_244869F812469DE2` FOREIGN KEY (`category_id`) REFERENCES `phyxo_categories` (`id`);
ALTER TABLE `phyxo_history` ADD CONSTRAINT `FK_4E2589C0A76ED395` FOREIGN KEY (`user_id`) REFERENCES `phyxo_users` (`id`);
ALTER TABLE `phyxo_history` ADD CONSTRAINT `FK_4E2589C012469DE2` FOREIGN KEY (`category_id`) REFERENCES `phyxo_categories` (`id`);
ALTER TABLE `phyxo_history` ADD CONSTRAINT `FK_4E2589C03DA5256D` FOREIGN KEY (`image_id`) REFERENCES `phyxo_images` (`id`);
ALTER TABLE `phyxo_user_access` ADD CONSTRAINT `FK_21C10625A76ED395` FOREIGN KEY (`user_id`) REFERENCES `phyxo_users` (`id`);
ALTER TABLE `phyxo_user_access` ADD CONSTRAINT `FK_21C10625E6ADA943` FOREIGN KEY (`cat_id`) REFERENCES `phyxo_categories` (`id`);
ALTER TABLE `phyxo_categories` ADD CONSTRAINT `FK_725D6641C7F87B72` FOREIGN KEY (`id_uppercat`) REFERENCES `phyxo_categories` (`id`);
ALTER TABLE `phyxo_categories` ADD CONSTRAINT `FK_725D6641F6BD1646` FOREIGN KEY (`site_id`) REFERENCES `phyxo_sites` (`id`);
ALTER TABLE `phyxo_rate` ADD CONSTRAINT `FK_23A9DF15A76ED395` FOREIGN KEY (`user_id`) REFERENCES `phyxo_users` (`id`);
ALTER TABLE `phyxo_rate` ADD CONSTRAINT `FK_23A9DF151F1F2A24` FOREIGN KEY (`element_id`) REFERENCES `phyxo_images` (`id`);
ALTER TABLE `phyxo_user_feed` ADD CONSTRAINT `FK_45D76AC5A76ED395` FOREIGN KEY (`user_id`) REFERENCES `phyxo_users` (`id`);
ALTER TABLE `phyxo_user_cache_categories` ADD CONSTRAINT `FK_38F22377A76ED395` FOREIGN KEY (`user_id`) REFERENCES `phyxo_users` (`id`);
ALTER TABLE `phyxo_user_cache_categories` ADD CONSTRAINT `FK_38F22377E6ADA943` FOREIGN KEY (`cat_id`) REFERENCES `phyxo_categories` (`id`);
